﻿@using Toyota.Common.Web.MVC.Login;


@model Toyota.Common.Web.MVC.ModelHolder
@{
    string ControllerName = ViewBag.ScreenId;   
}
            
<div id="content">
    <div id="login-box" class="login-box">
        <span id="loginTitle" class="login-title">Login</span>
        @using (Html.BeginForm("SubmitLogin", ControllerName))
        {                        
            <table id="formTable" class="form-table" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td width="35%" style="padding-bottom: 2px;">
                        <span id="username" class="form-label">Username</span>
                    </td>
                    <td width="65%" style="padding-bottom: 2px;">
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "Username";
                                settings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                                settings.Properties.NullDisplayText = "Username...";
                                settings.Properties.NullText = "Username";
                                settings.TabIndex = 1;
                                settings.ControlStyle.CssClass = "input-field";
                            }
                        ).Bind(Model.GetModel<BaseLoginModel>().Username).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td>
                        <span id="pass" class="form-label">Password</span>
                    </td>
                    <td>
                        <script type="text/javascript">
                            function NullPasswordFieldOnFocus(s, e) {
                                s.SetVisible(false);
                                Password.SetVisible(true);
                                Password.Focus();
                            }
                            function PasswordFieldLostFocus(s, e) {
                                if (!s.GetValue()) {
                                    s.SetVisible(false);
                                    NullPassword.SetVisible(true);
                                }
                            }
                        </script>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "NullPassword";
                                settings.Width = 125;
                                settings.Properties.NullDisplayText = "Password";
                                settings.Properties.NullText = "Password";
                                settings.Properties.ClientSideEvents.GotFocus = "NullPasswordFieldOnFocus";
                                settings.TabIndex = 2;
                                settings.ControlStyle.CssClass = "input-field";
                                settings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                            }
                        ).GetHtml()
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "Password";
                                settings.Width = 125;
                                settings.ClientVisible = false;
                                settings.Properties.Password = true;
                                settings.Properties.ClientSideEvents.LostFocus = "PasswordFieldLostFocus";
                                settings.TabIndex = 2;
                                settings.ControlStyle.CssClass = "input-field";
                                settings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                            }
                        ).Bind(Model.GetModel<BaseLoginModel>().Password).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td style="padding-top: 10px; padding-left: 10px;">
                        <input id="loginButton" class="login-button" type="submit" value="Login" /> 
                    </td>
                </tr>
            </table>
        }
        <span id="forgotPassword" class="forgot-password">@Html.ActionLink("Forgot your User ID or password ?", "ForgotPassword", null, new { id = "prlLoginForgotPassword" })</span>                                    
      @*  <div id="certificate" class="certificate">
        <table>
            <tr>
                <td>
                    <!-- Begin DigiCert/ClickID site seal HTML and JavaScript -->
                    <div id="DigiCertClickID_BiFSmFr_" data-language="en_US">
	                    <a href="http://www.digicert.com/wildcard-ssl-certificates.htm"></a>
                    </div>
                    <script type="text/javascript">
                        var __dcid = __dcid || []; __dcid.push(["DigiCertClickID_BiFSmFr_", "3", "m", "black", "BiFSmFr_"]); (function () { var cid = document.createElement("script"); cid.async = true; cid.src = "//seal.digicert.com/seals/cascade/seal.min.js"; var s = document.getElementsByTagName("script"); var ls = s[(s.length - 1)]; ls.parentNode.insertBefore(cid, ls.nextSibling); } ());
                    </script>
                    <!-- End DigiCert/ClickID site seal HTML and JavaScript -->
                </td>
                <td>   
                    <!-- Begin DigiCert/ClickID site seal HTML and JavaScript -->
                    <div id="DigiCertClickID_BiFSmFr_" data-language="en_US">
	                    <a href="http://www.clickid.com/"></a>
                    </div>
                    <script type="text/javascript">
                        var __dcid = __dcid || []; __dcid.push(["DigiCertClickID_BiFSmFr_", "1", "m", "black", "BiFSmFr_"]); (function () { var cid = document.createElement("script"); cid.async = true; cid.src = "//seal.digicert.com/seals/cascade/seal.min.js"; var s = document.getElementsByTagName("script"); var ls = s[(s.length - 1)]; ls.parentNode.insertBefore(cid, ls.nextSibling); } ());
                    </script>
                    <!-- End DigiCert/ClickID site seal HTML and JavaScript -->
                </td>
            </tr>
        </table>
        </div>*@
    </div> 
</div>      